<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('episodes', function (Blueprint $table) {
            $table->index('podcast_id');
            $table->index('artwork_id');
            $table->index('episode_date');
            $table->index('published');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('episodes', function (Blueprint $table) {
            $table->dropIndex('podcast_id');
            $table->dropIndex('artwork_id');
            $table->dropIndex('episode_date');
            $table->dropIndex('published');
        });
    }
};
